﻿using ComPDFKit.NativeMethod;
using Compdfkit_Tools.Helper;
using System.IO;
using System.Reflection;
using System.Windows;
using System.Xml;
using static ComPDFKit.NativeMethod.CPDFSDKVerifier;

namespace Viewer
{ 
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    /// 
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            string str = this.GetType().Assembly.Location;
            base.OnStartup(e);
            LicenseVerify();
        }

        private static bool LicenseVerify()
        {
            if (!LoadNativeLibrary())
                return false;

            LicenseErrorCode verifyResult = CPDFSDKVerifier.LicenseVerify("license_key_windows.txt", true);
            return (verifyResult != LicenseErrorCode.E_LICENSE_SUCCESS);
        }
    }
}

